Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class PropertySupport.WriteOnly

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node.Property
              org.openide.nodes.PropertySupport
                  org.openide.nodes.PropertySupport.WriteOnly

Enclosing class:
  PropertySupport

    public abstract static class PropertySupport.WriteOnly

extends PropertySupport

A simple write-only property. Subclasses should implement `Node.Property.setValue(java.lang.Object)`.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.nodes.PropertySupport
`PropertySupport.Name, PropertySupport.ReadOnly, PropertySupport.ReadWrite, PropertySupport.Reflection, PropertySupport.WriteOnly`

Constructor Summary
`PropertySupport.WriteOnly(String name, Class type, String displayName, String shortDescription)` Construct a new support.

Method Summary
`Object` | `getValue()` Get the value.

Methods inherited from class org.openide.nodes.PropertySupport
`canRead, canWrite`

Methods inherited from class org.openide.nodes.Node.Property
`equals, getHtmlDisplayName, getPropertyEditor, getValueType, hashCode, isDefaultValue, restoreDefaultValue, setValue, supportsDefaultValue`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySupport.WriteOnly

    public PropertySupport.WriteOnly(String name,
                                     Class type,
                                     String displayName,
                                     String shortDescription)

  Construct a new support.

  Parameters:
    `name` - the name of the property
    `type` - the class type of the property
    `displayName` - the display name of the property
    `shortDescription` - a short description of the property

Method Detail

### getValue

    public Object getValue()
                    throws IllegalAccessException,
                           IllegalArgumentException,
                           InvocationTargetException

  Description copied from class: `Node.Property`
  Get the value.

  Specified by:
    `getValue` in class `Node.Property`
  Returns:
    the value of the property
  Throws:
    `IllegalAccessException` - cannot access the called method
    `InvocationTargetException` - an exception during invocation
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.